Skip to content

Revoke M2M client

DELETE
/oauth/clients/{clientId}
curl --request DELETE \
--url https://api.example.com/oauth/clients/example \
--header 'Authorization: Bearer <token>'

Revoke an M2M OAuth client. Admin only. New tokens cannot be generated, and existing access tokens are rejected from the next API request.

clientId
required
string
/^[a-zA-Z0-9]{26}$/

The unique client ID (26 alphanumeric characters).

Client revoked successfully.

Media type application/json
object
message
string
clientId
string
clientName
string
revokedAt
string format: date-time
revokedBy
object
userId
string
userName
string
note
string
Example generated
{
"message": "example",
"clientId": "example",
"clientName": "example",
"revokedAt": "2026-04-15T12:00:00Z",
"revokedBy": {
"userId": "example",
"userName": "example"
},
"note": "example"
}

Invalid request parameters or body.

Media type application/json
object
error

Machine-readable code. Best-effort — the generic 500 path carries none.

string
message
required
string
requestId

Unique request ID for tracing.

string
nullable
details
object
key
additional properties
any
Example
{
"error": "INVALID_PARAMETER",
"message": "Client name must be at least 3 characters long."
}

Authentication required or failed.

Media type application/json
object
error

Machine-readable code. Best-effort — the generic 500 path carries none.

string
message
required
string
requestId

Unique request ID for tracing.

string
nullable
details
object
key
additional properties
any
Example
{
"error": "UNAUTHORIZED",
"message": "Valid authentication token required."
}

Insufficient permissions (missing scope or Admin role).

Media type application/json
object
error

Machine-readable code. Best-effort — the generic 500 path carries none.

string
message
required
string
requestId

Unique request ID for tracing.

string
nullable
details
object
key
additional properties
any
Example
{
"error": "FORBIDDEN",
"message": "Insufficient scope for this operation."
}

Resource not found.

Media type application/json
object
error

Machine-readable code. Best-effort — the generic 500 path carries none.

string
message
required
string
requestId

Unique request ID for tracing.

string
nullable
details
object
key
additional properties
any
Example
{
"error": "NOT_FOUND",
"message": "Product not found"
}

Internal server error.

Media type application/json
object
error

Machine-readable code. Best-effort — the generic 500 path carries none.

string
message
required
string
requestId

Unique request ID for tracing.

string
nullable
details
object
key
additional properties
any
Example
{
"error": "INTERNAL_ERROR",
"message": "An unexpected error occurred"
}